<?php
if ( !defined( 'IN_CMS' ) ) {
    exit();
}

use \IoC;
use \Configuration;
use models\Template;

$template = Template::findOne( IoC::resolve( 'settings' )['contactform.template'] );
if ( isset( $template ) ) {
    $template->delete();
}

$configurationHandler = IoC::resolve( 'databaseConfigurationHandler' );
$settings = new Configuration( $configurationHandler );

unset( $settings['contactform.template'] );

$configurationHandler->save();

$logger = IoC::resolve( 'logger' );
$logger->write( sprintf( '[%s] [%s] [%s] Plugin contactform successfully uninstalled.', date( 'Y-m-d H:i:s' ), __FILE__, 'info' ) );

return true;
